#!/usr/bin/env perl
use strict;
use warnings;
use feature 'say';

use Pithub;
use JSON;

my $pit = Pithub->new(
    user  => 'XXXXX',
    repo  => 'YYYYY',
    token => 'my_oauth_token',
);

my $res = $pit->repos->issues->list(
    params => {
        state  => 'open',
        labels => 'bug',        # 抽出対象のラベル
        since  => '2021-01-01', # 更新日（設定日時以降）
        direction => 'asc',     # 昇順
        sort      => 'updated', # 最終更新日時順
    }
)->response;

my $json = decode_json($res->content);
for my $rec (@{$json}) {
    say(join(',', $rec->{html_url}, $rec->{title}));
}
