#!/usr/bin/env perl
use strict;
use warnings;
use feature 'say';

use Pithub;
use JSON;

my $pit = Pithub->new(
    token => 'my_oauth_token',
);

# レビュアーの所属するTeamID。実際は数字
my $reviewer_team_id = NN;
# レビュアーを指定するPull Request ID。実際は数字
my $pull_request_id  = MM;

# レビュアー担当のチームメンバー一覧を取得
my $res = $pit->orgs->teams->list_members(
    team_id => $reviewer_team_id,
)->response;

my $json = decode_json($res->content);
my @members = ();
for my $member (@{$json}) {
    push @members, $member->{login};
}
# レビュアー用のチームメンバーからランダムに1人を抽出
my $randomized_member = $members[int(rand(@members))];

# ランダムに抽出したメンバーをレビュアーに設定
my $res = $pit->repos->pull_requests->reviewers->update(
    user            => 'XXXXX',
    repo            => 'YYYYY',
    pull_request_id => $pull_request_id,
    data            => { reviewers => [$randomized_member] },
);
